%{?nodejs_find_provides_and_requires}

%global packagename tryit
%global enable_tests 1

Name:		nodejs-tryit
Version:	1.0.2
Release:	1%{?dist}
Summary:	Module to wrap try-catch for better performance and cleaner API

License:	MIT
URL:		https://github.com/HenrikJoreteg/tryit
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# License file, from the author's website (linked from README.md) at http://mit.joreteg.com/
Source1:	LICENSE-MIT

%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:	npm(tape)
BuildRequires:	npm(tap-spec)
%endif

%description
Module to wrap try-catch for better performance and cleaner API.


%prep
%autosetup -n package
cp -p %{SOURCE1} .


%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json tryit.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
node test/test.js | tap-spec
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE-MIT
%{nodejs_sitelib}/%{packagename}

%changelog
* Wed Jul 27 2016 Jared Smith <jsmith@fedoraproject.org> - 1.0.2-1
- Initial packaging
